Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453812 - xserver autoconf doesn't care about xgi
Summary: xserver autoconf doesn't care about xgi
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-sis
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 18:05 UTC by Will Woods
Modified: 2018-04-11 10:48 UTC (History)
1 user (show)

Fixed In Version: xorg-x11-server-Xorg-1.5.1-9.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-10 15:39:53 UTC


Attachments (Terms of Use)
Xorg.0.log (deleted)
2008-07-07 14:52 UTC, Will Woods
no flags Details
X.log from anaconda on a sis-chipset machine (deleted)
2008-10-06 18:06 UTC, Will Woods
no flags Details

Description Will Woods 2008-07-02 18:05:50 UTC
My awesome XGI Volari Z7 video chip is not autodetected, and I end up with vesa.
Yuck. 

PCI id is 18ca:0020; see below for more info.

(--) PCI:*(0@5:7:0) XGI Technology Inc. (eXtreme Graphics Innovation) Volari Z7
rev 0, Mem @ 0xfc000000/0, 0xfe6c0000/0, I/O @ 0x00
00dc80/0, BIOS @ 0x????????/65536
(==) Matched vesa for the autoconfigured driver
New driver is "vesa"

[root@norfair ~]# lspci -vv -nn -s 5:7
05:07.0 VGA compatible controller [0300]: XGI Technology Inc. (eXtreme Graphics
Innovation) Volari Z7 [18ca:0020] (prog-if 00 [VGA controller])
	Subsystem: Dell Device [1028:01ae]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	BIST result: 00
	Region 0: Memory at fc000000 (32-bit, prefetchable) [size=32M]
	Region 1: Memory at fe6c0000 (32-bit, non-prefetchable) [size=256K]
	Region 2: I/O ports at dc80 [size=128]
	Expansion ROM at fe600000 [disabled] [size=64K]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Comment 1 Matěj Cepl 2008-07-02 21:48:06 UTC
Please attach your X server config file (/etc/X11/xorg.conf), X server log file
(/var/log/Xorg.*.log), and /var/log/anaconda.xlog to the bug report as
individual uncompressed file attachments using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Will Woods 2008-07-03 13:38:46 UTC
As mentioned in the bug report - this is with *autoconfiguration* in X. So
there's no xorg.conf. And I included the relevant section of Xorg.0.log already.

Comment 3 Matěj Cepl 2008-07-04 12:59:27 UTC
Will, et tu, Brute? Could we get whole /var/log/Xorg.*.log, please?

Comment 4 Will Woods 2008-07-07 14:52:40 UTC
Created attachment 311166 [details]
Xorg.0.log

Comment 5 Will Woods 2008-07-07 14:53:44 UTC
Xorg.0.log attached.

Comment 6 Matěj Cepl 2008-07-08 14:17:34 UTC
E.g., that zillion of lines "Failed to find device matching" is actually quite
impressive.

Comment 7 Adam Jackson 2008-07-14 21:55:34 UTC
Updating summary so I have some idea what's going on.

The "Failed to find device" thing should be gone now, at least.

Comment 8 Will Woods 2008-10-06 18:06:50 UTC
Created attachment 319582 [details]
X.log from anaconda on a sis-chipset machine

Nope - the "Failed to find device" thing persists in current rawhide. 

This Xorg.0.log is from anaconda, during a rawhide install.

Comment 9 Adam Jackson 2008-10-07 18:10:51 UTC
Alright you.  Try xorg-x11-server-Xorg-1.5.1-9.fc10 and let me know how it goes.

Comment 10 Will Woods 2008-10-10 15:39:53 UTC
Works like a charm. No more "Failed to find device" messages in the log, either.


Note You need to log in before you can comment on or make changes to this bug.